Gallery Platform API
Reference

List drops

Lists the gallery's drops (scheduled releases) with cursor pagination, newest first. Filter by `state` or `mode`.

GET
/gallery/drops

Lists the gallery's drops (scheduled releases) with cursor pagination, newest first. Filter by state or mode.

Authorization

bearerAuth drops:read
AuthorizationBearer <token>

A gallery API key, sent as Authorization: Bearer gpk_… (or the x-api-key header).

In: header

Scope: drops:read

Query Parameters

limit?integer
Range1 <= value <= 100
Default20
cursor?string
state?string

Value in

  • "scheduled"
  • "early_access"
  • "open"
  • "selecting"
  • "allocating"
  • "fulfilled"
  • "closed"
  • "canceled"
mode?string

Value in

  • "immediate"
  • "draw"
  • "weighted_draw"
  • "priority"

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

{  "data": [    {      "id": "string",      "mode": "immediate",      "state": "scheduled",      "artwork_id": "string",      "list_id": "string",      "early_access_at": "string",      "early_access_segment_id": "string",      "opens_at": "string",      "closes_at": "string",      "claim_ttl_minutes": -9007199254740991,      "weight_config": null,      "official_rules_url": "string",      "created_at": "string",      "updated_at": "string"    }  ],  "next_cursor": "string"}